<?php


namespace app\admin\controller;


use think\App;
use think\facade\Db;


class After extends \app\BaseController
{
    public $post=[];
    public function __construct(App $app)
    {
        parent::__construct($app);
        $this->post =$this->request->post();
    }

    public function create(){
         $ordeCode = isset($this->post['orderCode']) &&$this->post['orderCode']!=''?trim($this->post['orderCode']) :"";
         if($ordeCode==''){
             return error_show(1004,"参数orderCode 不能为空");
         }
         $order= Db::name("sale")->where(["orderCode"=>$ordeCode,"is_del"=>0])->find();
         if(empty($order)){
             return error_show(1005,"未找到订单数据");
         }
        $errorCode = isset($this->post['errorCode']) &&$this->post['errorCode']!=''?trim($this->post['errorCode']) :"";
        if($ordeCode==''){
            return error_show(1004,"参数orderCode 不能为空");
        }
        $error =Db::name('result_info')->where(["result_code"=>$errorCode,"is_del"=>0])->find();
        if(empty($error)){
            return error_show(1005,"未找到退货原因数据");
        }
        $remark =isset($this->post['remark']) &&$this->post['remark']!=''?trim($this->post['remark']) :"";
        $data = isset($this->post['list'])&&$this->post['list']!='' ? $this->post['list'] :'';
        if($data=='' || empty($data)){
            return error_show(1005,"参数list不能为空");
        }

    }
}